Package org.eclipse.lemminx.telemetry

## Class DocumentTelemetryInfo

- java.lang.Object
- - org.eclipse.lemminx.telemetry.DocumentTelemetryInfo

    public class DocumentTelemetryInfo
    extends Object

### Constructor Summary

Constructors
`DocumentTelemetryInfo()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `collectDocumentTelemetryInfo​(DOMDocument doc, ContentModelManager manager, TelemetryCache cache)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentTelemetryInfo

    public DocumentTelemetryInfo()

### Method Detail

#### collectDocumentTelemetryInfo

    public static void collectDocumentTelemetryInfo​(DOMDocument doc,
                                                    ContentModelManager manager,
                                                    TelemetryCache cache)